import request from '@/utils/request'

export function listLabelProfile(query) {
  return request({
    url: '/labelProfile/list',
    method: 'get',
    params: query
  })
}

export function createLabelProfile(data) {
  return request({
    url: '/labelProfile/create',
    method: 'post',
    data
  })
}

export function readLabelProfile(id) {
  return request({
    url: '/labelProfile/read',
    method: 'get',
    params: { id }
  })
}

export function updateLabelProfile(data) {
  return request({
    url: '/labelProfile/update',
    method: 'post',
    data
  })
}

export function deleteLabelProfile(data) {
  return request({
    url: '/dmLabel/delete',
    method: 'post',
    data
  })
}

